//go:build !debian_no_fulcio
// +build !debian_no_fulcio

package fulcio

import (
	"io"
	"fmt"
	"net/url"

	"github.com/containers/image/v5/signature/sigstore/internal"
)


func WithFulcioAndDeviceAuthorizationGrantOIDC(fulcioURL *url.URL, oidcIssuerURL *url.URL, oidcClientID, oidcClientSecret string,
	interactiveOutput io.Writer) internal.Option {
	return func(s *internal.SigstoreSigner) error {
		return fmt.Errorf("Debian-local: fulcio disabled")
	}
}

func WithFulcioAndPreexistingOIDCIDToken(fulcioURL *url.URL, oidcIDToken string) internal.Option {
	return func(s *internal.SigstoreSigner) error {
		return fmt.Errorf("Debian-local: fulcio disabled")
	}
}

func WithFulcioAndInteractiveOIDC(fulcioURL *url.URL, oidcIssuerURL *url.URL, oidcClientID, oidcClientSecret string,
	interactiveInput io.Reader, interactiveOutput io.Writer) internal.Option {
	return func(s *internal.SigstoreSigner) error {
		return fmt.Errorf("Debian-local: fulcio disabled")
	}
}
